'use strict';

var number = require('../../../../../d3-interpolate@3.0.1/node_modules/d3-interpolate/src/number.js');
var rgb = require('../../../../../d3-interpolate@3.0.1/node_modules/d3-interpolate/src/rgb.js');
var string = require('../../../../../d3-interpolate@3.0.1/node_modules/d3-interpolate/src/string.js');
var color = require('../../../../../d3-color@3.1.0/node_modules/d3-color/src/color.js');

function interpolate(a, b) {
  var c;
  return (typeof b === "number" ? number
      : b instanceof color.default ? rgb
      : (c = color.default(b)) ? (b = c, rgb)
      : string)(a, b);
}

module.exports = interpolate;
